{* Smarty *}
<form action="{$smarty.const.CF_BASE_URL}settings" method="post">
<input type="hidden" name="s" value="1" />
{* To enable AJAX this table must have an id of "settings" and each setting block must be between it's own tbody tags *}
<table id="settings">
<tbody>
	<tr>
		<th colspan="2">{$smarty.const.LN_GENERAL}</th>
	</tr>
	<tr>
		<td><label for="tt">{$smarty.const.LN_SITE_TITLE}:</label></td>
		<td><input type="text" name="tt" id="tt" value="{$title}" /></td>
	</tr>
	<tr>
		<td><label for="st">{$smarty.const.LN_SITE_SUBTITLE}:</label></td>
		<td><input type="text" name="st" id="st" value="{$subtitle}" /></td>
	</tr>
	<tr>
		<td><label for="em">{$smarty.const.LN_EMAIL}:</label></td>
		<td><input type="text" name="em" id="em" value="{$email}" /></td>
	</tr>
	<tr>
		<td><label for="tp">{$smarty.const.LN_DFLT_TPL}:</label></td>
		<td>{html_options name="tp" id="tp" options=$template_list selected=$dflt_tpl}</td>
	</tr>
	<tr>
		<td><label for="mr">{$smarty.const.LN_MOD_REWRITE}</label></td>
		<td>{html_options name="mr" id="mr" options=$no_yes_list selected=$mod_rewrite}</td>
	</tr>
	<tr>
		<td><label for="dp">{$smarty.const.LN_DFLT_PAGE}</label></td>
		<td><input type="text" name="dp" id="dp" value="{$dflt_page}" /></td>
	</tr>
	<tr>
		<td><label for="dp">{$smarty.const.LN_CACHE_DAYS}</label></td>
		<td><input type="text" name="cd" id="cd" value="{$cache_days}" /></td>
	</tr>
	<tr>
		<td><label for="df">{$smarty.const.LN_DATE_FULL}</label></td>
		<td>{html_options name="df" id="df" options=$date_full_list selected=$date_full}</td>
	</tr>
{if $dtz_list}
	<tr>
		<td><label for="dtz">{$smarty.const.LN_DTZ}:</td>
		<td>{html_options name="dtz" id="dtz" options=$dtz_list selected=$dtz}</td>
	</tr>
{/if}
	<tr>
		<td><label for="sm">{$smarty.const.LN_SEARCH_MAX}</label></td>
		<td><input type="text" name="sm" id="sm" value="{$search_max}" /></td>
	</tr>
	<tr>
		<td><label for="ac">{$smarty.const.LN_AUTOCOMPLETE}</label></td>
		<td><input type="text" name="ac" id="ac" value="{$autocomplete}" /></td>
	</tr>
	<tr>
		<td><label for="bm">{$smarty.const.LN_BLOG_MAX}</label></td>
		<td><input type="text" name="bm" id="bm" value="{$blog_max}" /></td>
	</tr>
	<tr>
		<td><label for="tm">{$smarty.const.LN_TINYMCE}</label></td>
		<td>{html_options name="tm" id="tm" options=$no_yes_list selected=$tinymce}</td>
	</tr>
	<tr>
		<td><label for="cr">{$smarty.const.LN_CRON}</label></td>
		<td>{html_options name="cr" id="cr" options=$no_yes_list selected=$cron}</td>
	</tr>
	<tr>
		<td colspan="2"><label for="hcd">{$smarty.const.LN_HEADER_CODE}</label></td>
	</tr>
	<tr>
		<td colspan="2"><textarea name="hcd" id="hcd" class="short">{$header_code}</textarea></td>
	</tr>
	<tr>
		<td colspan="2"><label for="fcd">{$smarty.const.LN_FOOTER_CODE}</label></td>
	</tr>
	<tr>
		<td colspan="2"><textarea name="fcd" id="fcd" class="short">{$footer_code}</textarea></td>
	</tr>
</tbody>
<tbody>
	<tr>
		<th colspan="2">{$smarty.const.LN_TREES}</th>
	</tr>
	<tr>
		<td><label for="pa">{$smarty.const.LN_AGE_PRIV}</label></td>
		<td><input type="text" name="pa" id="pa" value="{$privacy_age}" /></td>
	</tr>
	<tr>
		<td><label for="stc">{$smarty.const.LN_SORT_CHILD}</label></td>
		<td>{html_options name="stc" id="stc" options=$no_yes_list selected=$sort_child}</td>
	</tr>
	<tr>
		<td><label for="stf">{$smarty.const.LN_SORT_FAM}</label></td>
		<td>{html_options name="stf" id="stf" options=$no_yes_list selected=$sort_fam}</td>
	</tr>
	<tr>
		<td><label for="ea">{$smarty.const.LN_EVENT_ABBR}</label></td>
		<td>{html_options name="ea" id="ea" options=$event_abbr_list selected=$event_abbr}</td>
	</tr>
	<tr>
		<td><label for="esb">{$smarty.const.LN_EVENT_SYMBOL}:</label></td>
		<td><input type="text" name="esb" id="esb" value="{$event_symbol_b}" maxlength="3" class="short" /><input type="text" name="esd" id="esd" value="{$event_symbol_d}" maxlength="3" class="short" /><input type="text" name="esm" id="esm" value="{$event_symbol_m}" maxlength="3" class="short" /></td>
	</tr>
	<tr>
		<td><label for="hp">{$smarty.const.LN_HISTORY_PERIODS_ONLY}</label></td>
		<td>{html_options name="hp" id="hp" options=$yes_no_list selected=$history_periods_only}</td>
	</tr>
</tbody>
<tbody>
	<tr>
		<th colspan="2">{$smarty.const.LN_GEDCOM}</th>
	</tr>
	<tr>
		<td><label for="sc">{$smarty.const.LN_SPFX_COUNT}</label></td>
		<td><input type="text" name="sc" id="sc" value="{$spfx_count}" /></td>
	</tr>
	<tr>
		<td><label for="cs">{$smarty.const.LN_CONC_SPACES}</label></td>
		<td>{html_options name=cs id=cs options=$no_yes_list selected=$conc_spaces}</td>
	</tr>
	<tr>
		<td><label for="io">{$smarty.const.LN_IMPORT_OBJE}</label></td>
		<td>{html_options name=io id=io options=$yes_no_list selected=$import_obje}</td>
	</tr>
	<tr>
		<td><label for="ml">{$smarty.const.LN_MEDIA_LEVELS}</label></td>
		<td><input type="text" name="ml" id="ml" value="{$media_levels}" /></td>
	</tr>
</tbody>
<tbody>
	<tr>
		<th colspan="2">{$smarty.const.LN_MEDIA}</th>
	</tr>
	<tr>
		<td><label for="me">{$smarty.const.LN_MEDIA_EXISTS}</label></td>
		<td>{html_options name="me" id="me" options=$no_yes_list selected=$media_exists}</td>
	</tr>
	<tr>
		<td><label for="it">{$smarty.const.LN_IMG_TEXT}:</label></td>
		<td><input type="text" name="it" id="it" value="{$img_text}" /></td>
	</tr>
	<tr>
		<td><label for="icr">{$smarty.const.LN_IMG_TEXT_CLR}:</label></td>
		<td><input type="text" name="icr" id="icr" value="{$img_text_clr_r}" maxlength="3" class="short" /><input type="text" name="icg" id="icg" value="{$img_text_clr_g}" maxlength="3" class="short" /><input type="text" name="icb" id="icb" value="{$img_text_clr_b}" maxlength="3" class="short" /></td>
	</tr>
	<tr>
		<td><label for="iw">{$smarty.const.LN_IMG_WIDTH}:</label></td>
		<td><input type="text" name="iw" id="iw" value="{$img_width}" /></td>
	</tr>
	<tr>
		<td><label for="ih">{$smarty.const.LN_IMG_HEIGHT}:</label></td>
		<td><input type="text" name="ih" id="ih" value="{$img_height}" /></td>
	</tr>
	<tr>
		<td><label for="tw">{$smarty.const.LN_TH_WIDTH}:</label></td>
		<td><input type="text" name="tw" id="tw" value="{$th_width}" /></td>
	</tr>
	<tr>
		<td><label for="th">{$smarty.const.LN_TH_HEIGHT}:</label></td>
		<td><input type="text" name="th" id="th" value="{$th_height}" /></td>
	</tr>
</tbody>
<tbody>
	<tr>
		<th colspan="2">{$smarty.const.LN_USERS}</th>
	</tr>
	<tr>
		<td><label for="nl">{$smarty.const.LN_NEED_LOGIN}</label></td>
		<td>{html_options name="nl" id="nl" options=$no_yes_list selected=$need_login}</td>
	</tr>
	<tr>
		<td><label for="nle">{$smarty.const.LN_NEED_LOGIN_EXCLUDED}</label></td>
		<td>{html_checkboxes name="nle" id="nle" options=$need_login_excluded_list selected=$need_login_excluded separator="<br />"}</td>
	</tr>
	<tr>
		<td><label for="sl">{$smarty.const.LN_SESSION_LENGTH}</label></td>
		<td><input type="text" name="sl" id="sl" value="{$session_length}" /></td>
	</tr>
	<tr>
		<td><label for="rm">{$smarty.const.LN_REMEMBER}</label></td>
		<td>{html_options name="rm" id="rm" options=$no_yes_list selected=$remember}</td>
	</tr>
	<tr>
		<td><label for="ar">{$smarty.const.LN_ALLOW_REGISTRATION}</label></td>
		<td>{html_options name="ar" id="ar" options=$no_yes_list selected=$allow_registration}</td>
	</tr>
	<tr>
		<td><label for="nua">{$smarty.const.LN_NEW_USER_ACTIVE}</label></td>
		<td>{html_options name="nua" id="nua" options=$no_yes_list selected=$new_user_active}</td>
	</tr>
	<tr>
		<td><label for="ua">{$smarty.const.LN_USER_ADDRESS}</label></td>
		<td>{html_options name="ua" id="ua" options=$no_yes_list selected=$user_address}</td>
	</tr>
	<tr>
		<td><label for="ct">{$smarty.const.LN_CAPTCHA}</label></td>
		<td>{html_options name="ct" id="ct" options=$no_yes_list selected=$captcha}</td>
	</tr>
	<tr>
		<td><label for="at">{$smarty.const.LN_ALLOW_ATTACHMENT}</label></td>
		<td>{html_options name="at" id="at" options=$yes_no_list selected=$allow_attachment}</td>
	</tr>
	<tr>
		<td><label for="psl">{$smarty.const.LN_PRIV_SHOW_LIVING}</label></td>
		<td>{html_options name="psl" id="psl" options=$no_yes_list selected=$priv_show_living}</td>
	</tr>
	<tr>
		<td><label for="mf">{$smarty.const.LN_MAYBE_FILTERED}</label></td>
		<td>{html_options name="mf" id="mf" options=$yes_no_list selected=$maybe_filtered}</td>
	</tr>
</tbody>
<tbody>
	<tr>
		<th colspan="2">{$smarty.const.LN_MAIL_SETTINGS}</th>
	</tr>
	<tr>
		<td><label for="mlr">{$smarty.const.LN_MAILER}</label></td>
		<td>{html_options name="mlr" id="mlr" options=$mailer_list selected=$mailer}</td>
	</tr>
	<tr>
		<td><label for="sht">{$smarty.const.LN_SMTP_HOST}:</label></td>
		<td><input type="text" name="sht" id="sht" value="{$smtp_host}" /></td>
	</tr>
	<tr>
		<td><label for="sur">{$smarty.const.LN_SMTP_USER}:</label></td>
		<td><input type="text" name="sur" id="sur" value="{$smtp_user}" /></td>
	</tr>
	<tr>
		<td><label for="spw">{$smarty.const.LN_SMTP_PASSWORD}:</label></td>
		<td><input type="text" name="spw" id="spw" value="{$smtp_password}" /></td>
	</tr>
</tbody>
<tbody>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>